package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.StudentAttendanceStatusEnum;
import com.ym.mec.biz.dal.enums.TeachModeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/9/30
 */
public class StudentCourseScheduleRecordDto {


    @ApiModelProperty(value = "记录编号",required = false)
    private Long id;

    @ApiModelProperty(value = "课程ID")
    private Long courseScheduleId;

    @ApiModelProperty(value = "班级ID")
    private Integer classGroupId;

    @ApiModelProperty(value = "课程名称",required = false)
    private String courseName;

    /** 上课日期 */
    @ApiModelProperty(value = "上课日期", required = false)
    private java.util.Date classDate;

    /** 上课时间 */
    @ApiModelProperty(value = "上课时间", required = false)
    private java.util.Date startClassTime;

    /** 结束时间 */
    @ApiModelProperty(value = "结束时间", required = false)
    private java.util.Date endClassTime;

    @ApiModelProperty(value = "课程类型",required = false)
    private CourseSchedule.CourseScheduleType type;

    @ApiModelProperty(value = "状态（正常、旷课、请假、休学）",required = false)
    private StudentAttendanceStatusEnum status;

    @ApiModelProperty(value = "教师ID")
    private Long teacherId;

    @ApiModelProperty(value = "教师名称",required = false)
    private String teacherName;

    @ApiModelProperty(value = "剩余课次",required = false)
    private Integer restOfClass;

    @ApiModelProperty(value = "教学形式")
    private TeachModeEnum teachMode;

    public Integer getClassGroupId() {
        return classGroupId;
    }

    public void setClassGroupId(Integer classGroupId) {
        this.classGroupId = classGroupId;
    }

    public TeachModeEnum getTeachMode() {
        return teachMode;
    }

    public void setTeachMode(TeachModeEnum teachMode) {
        this.teachMode = teachMode;
    }

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Date getClassDate() {
        return classDate;
    }

    public void setClassDate(Date classDate) {
        this.classDate = classDate;
    }

    public Date getStartClassTime() {
        return startClassTime;
    }

    public void setStartClassTime(Date startClassTime) {
        this.startClassTime = startClassTime;
    }

    public Date getEndClassTime() {
        return endClassTime;
    }

    public void setEndClassTime(Date endClassTime) {
        this.endClassTime = endClassTime;
    }

    public CourseSchedule.CourseScheduleType getType() {
        return type;
    }

    public void setType(CourseSchedule.CourseScheduleType type) {
        this.type = type;
    }

    public StudentAttendanceStatusEnum getStatus() {
        return status;
    }

    public void setStatus(StudentAttendanceStatusEnum status) {
        this.status = status;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public Integer getRestOfClass() {
        return restOfClass;
    }

    public void setRestOfClass(Integer restOfClass) {
        this.restOfClass = restOfClass;
    }
}
